Bug 126094 - LDAP accounts cannot run cron jobs
Summary: LDAP accounts cannot run cron jobs
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: vixie-cron   
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-15 22:41 UTC by Nat G
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 13:42:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 64379 None None None Never

Description Nat G 2004-06-15 22:41:05 UTC
Description of problem:
Accounts defined in LDAP are not able to run cron jobs.  They can be
created, but upon time to run, the following message appears in
/var/log/cron:

Jun  9 14:31:00 hourhl99 crond[1458]: (nguyto01) ORPHAN (no passwd entry)

I would expect cron to find accounts via NSS definitions (files ldap)
rather than just files.  Unsure if this is also valid for NIS accounts.


How reproducible: always


Steps to Reproduce:
1. Set up system to use LDAP accounts
2. Define an LDAP account and create a cron entry
3. Watch /var/log/cron when time comes - no job runs, log entry made

Comment 1 Jason Vas Dias 2004-08-03 20:48:22 UTC
This is fixed in vixie-cron-4.1-+ .


Comment 3 Richard Bullington-McGuire 2006-03-02 21:36:22 UTC
I ran into this behavior in Red Hat Enterprise Linux 3 R6 today.

Mar  1 10:46:01 cauldron crond[885]: (rbulling) ORPHAN (no passwd entry)

The workaround in bug 64379 worked for me (stop crond, restart nscd, start crond):

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=64379

A cron job ran for me just fine once I'd done that.

Comment 4 Marcela Mašláňová 2007-07-16 13:42:18 UTC
This problem will be resolved in a future major release of Red Hat Enterprise
Linux. Red Hat does not currently plan to provide a resolution for this in a Red
Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 


Note You need to log in before you can comment on or make changes to this bug.